---
- entityDefinitions:
  - IDC_ProductStyle: '{6565fdc1-5f86-4507-9def-567a978d0ead}'

  - IDI_ProductStyle_Retractable: '{6e3f06ac-1c0f-401e-a698-4c99a594a2ea}'
  - IDI_ProductStyle_Capped: '{0333a86e-d996-4747-8f36-1c136c018653}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ProductStyle;'
    name: 'Product Style'
    index: 22003
    customTagName: 'productStyle'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    defaultTask: '&IDI_Task_ProductStyle_View;'
    relatedTasks:
    - instance: '&IDI_Task_ProductStyle_View;'
    - instance: '&IDI_Task_ProductStyle_Edit;'

  - productStyle: '&IDI_ProductStyle_Retractable;'
    name: 'Retractable'
  - productStyle: '&IDI_ProductStyle_Capped;'
    name: 'Capped'